package cn.iocoder.yudao.module.bpm.api.oa.vo.loan;

import cn.iocoder.yudao.framework.common.pojo.UploadUserFile;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

/**
 * 生产借支 创建 Request VO
 *
 * @author 符溶馨
 */
@Schema(description = "管理后台 - 借支 Request VO")
@Data
@EqualsAndHashCode()
@ToString(callSuper = true)
public class BpmOALoanDTO {

    @Schema(description = "收款人信息")
    private Long bankId;

    @Schema(description = "借支工厂")
    private Long factoryId;

    @Schema(description = "借支厂区用户")
    private Long sfUserId;

    @Schema(description = "借支类型 | 1工资 2费用", example = "1")
    private Integer loanType;

    @Schema(description = "抵扣工资月份 | yyyy-MM")
    private String returnDate;

    @Schema(description = "借支金额")
    private BigDecimal totalMoney;

    @Schema(description = "流程实例编号")
    private String processInstanceId;

    @Schema(description = "状态-参见 bpm_process_instance_result 枚举")
    private Integer result;
}
