package cn.iocoder.yudao.module.bpm.api.oa;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.BpmOAEvectionDO;
import cn.iocoder.yudao.module.bpm.service.oa.BpmOAEvectionService;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.time.LocalDate;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;

/**
 * Flowable 流程实例 Api 实现类
 */
@RestController
@Validated
public class BpmOAEvectionApiImpl implements BpmOAEvectionApi {

    @Resource
    private BpmOAEvectionService evectionService;

    @Override
    public CommonResult<Map<String, List<Long>>> getEvectionUserList() {

        LocalDate now = LocalDate.now();

        List<BpmOAEvectionDO> evectionOn = evectionService.getEvectionListByStartTime(now);
        List<BpmOAEvectionDO> evectionOff = evectionService.getEvectionListByEndTime(now.minusDays(1));

        Map<String, List<Long>> result = new HashMap<>();
        result.put("on", evectionOn.stream().map(BpmOAEvectionDO::getUserId).distinct().collect(Collectors.toList()));
        result.put("off", evectionOff.stream().map(BpmOAEvectionDO::getUserId).distinct().collect(Collectors.toList()));
        return success(result);
    }
}
