package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.supplier;

import lombok.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - OA供应商审核分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BpmOASupplierPageReqVO extends PageParam {

    @Schema(description = "申请人的用户编号", example = "15417")
    private Long userId;

    @Schema(description = "供应商id（如果编辑的话需要）", example = "28412")
    private Long supplierId;

    @Schema(description = "供应商名称", example = "李四")
    private String supplierName;

    @Schema(description = "联系方式(手机号)")
    private String phone;

    @Schema(description = "联系人")
    private String contactPerson;

    @Schema(description = "公司地址")
    private String companyAddress;

    @Schema(description = "营业执照编号")
    private String businessLicenseNo;

    @Schema(description = "结算日")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private String[] settlementDate;

    @Schema(description = "结算方式(字典值)")
    private Integer settlementMethod;

    @Schema(description = "公司账号", example = "13787")
    private String companyAccount;

    @Schema(description = "银行开户行")
    private String bankAccountOpeningBank;

    @Schema(description = "附件信息")
    private String fileItems;

    @Schema(description = "申请结果")
    private Integer result;

    @Schema(description = "备注", requiredMode = Schema.RequiredMode.REQUIRED)
    private String remark;

    @Schema(description = "流程实例的编号", example = "13296")
    private String processInstanceId;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}
