package cn.iocoder.yudao.module.bpm.dal.dataobject.oa;

import cn.iocoder.yudao.framework.common.pojo.UploadUserFile;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import cn.iocoder.yudao.module.bpm.enums.task.BpmProcessInstanceResultEnum;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import lombok.*;

import java.time.LocalDate;
import java.util.List;

/**
 * OA 招聘申请 DO
 *
 * @author 符溶馨
 */
@TableName(value ="bpm_oa_hire", autoResultMap = true)
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BpmOAHireDO extends BaseDO {

    /**
     * 招聘表单主键
     */
    @TableId
    private Long id;

    /**
     * 申请人的用户编号
     * 关联 AdminUserDO 的 id 属性
     */
    private Long userId;

    /**
     * 申请事由
     */
    private String reason;

    /**
     * 需求部门编号
     */
    private Long demandDeptId;

    /**
     * 需求岗位编号
     */
    private Long demandPositionId;

    /**
     * 招聘性质
     */
    private Integer type;

    /**
     * 拟聘数量
     */
    private Integer number;

    /**
     * 到岗时间
     */
    private LocalDate arrivalDate;

    /**
     * 岗位职责
     */
    private String jobResponsibilities;

    /**
     * 任职要求
     */
    private String jobRequirements;

    /**
     * 申请的结果
     * 枚举 {@link BpmProcessInstanceResultEnum}
     * 考虑到简单，所以直接复用了 BpmProcessInstanceResultEnum 枚举，也可以自己定义一个枚举哈
     */
    private Integer result;

    /**
     * 对应的流程编号
     * 关联 ProcessInstance 的 id 属性
     */
    private String processInstanceId;

    /**
     * 附件基本信息
     */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private List<UploadUserFile> fileItems;
}
