package cn.iocoder.yudao.module.bpm.dal.dataobject.oa;

import cn.iocoder.yudao.framework.common.pojo.UploadUserFile;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import cn.iocoder.yudao.module.bpm.enums.task.BpmProcessInstanceResultEnum;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import lombok.*;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.List;

/**
 * OA 用章申请 DO
 *
 * @author 符溶馨
 */
@TableName(value ="bpm_oa_salary_adjustment", autoResultMap = true)
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BpmOASalaryAdjustmentDO extends BaseDO {

    /**
     * 出差表单主键
     */
    @TableId
    private Long id;

    /**
     * 申请人的用户编号
     * 关联 AdminUserDO 的 id 属性
     */
    private Long userId;

    /**
     * 调整类型 | 1:涨薪 2:降薪
     */
    private Integer type;

    /**
     * 调整人用户编号
     */
    private Long adjustmentUserId;

    /**
     * 调整人部门编号
     */
    private Long adjustmentDeptId;

    /**
     * 调整日期
     */
    private LocalDate adjustmentDate;

    /**
     * 调整前薪资
     */
    private BigDecimal salaryBefore;

    /**
     * 调整后薪资
     */
    private BigDecimal salaryAfter;

    /**
     * 调整原因
     */
    private Integer reason;

    /**
     * 调整原因描述
     */
    private String description;

    /**
     * 薪资付款申请的结果
     * 枚举 {@link BpmProcessInstanceResultEnum}
     * 考虑到简单，所以直接复用了 BpmProcessInstanceResultEnum 枚举，也可以自己定义一个枚举哈
     */
    private Integer result;

    /**
     * 对应的流程编号
     * 关联 ProcessInstance 的 id 属性
     */
    private String processInstanceId;

    /**
     * 附件基本信息
     */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private List<UploadUserFile> fileItems ;
}
