package cn.iocoder.yudao.module.bpm.service.definition;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.bpm.controller.admin.definition.vo.filter.BpmInstanceFilterPageReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.definition.BpmInstanceFilterDO;

/**
 * 流程实例过滤 Service 接口
 *

 */
public interface BpmInstanceFilterService {

    /**
     * 新增需要过滤的流程实例ID
     *
     * @param processInstanceId 流程实例ID
     * @return 编号
     */
    Long createInstanceFilter(String processInstanceId);

    /**
     * 流程实例显示开关
     *
     * @param id 主键ID
     * @param status 开关状态
     */
    void updateInstanceFilterStatus(Long id, Integer status);

    /**
     * 删除用户组
     *
     * @param id 编号
     */
    void deleteInstanceFilter(Long id);

    /**
     * 获得用户组分页
     *
     * @param pageReqVO 分页查询
     * @return 用户组分页
     */
    PageResult<BpmInstanceFilterDO> getInstanceFilterPage(BpmInstanceFilterPageReqVO pageReqVO);


}
