package cn.iocoder.yudao.module.bpm.service.oa;

import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.finance.BpmOAFinanceCreateReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.BpmOAFinanceDO;

public interface BpmOAFinanceService {

    /**
     * 创建外出申请
     * @param loginUserId 登录用户ID
     * @param createReqVO 创建信息
     * @return 外出申请ID
     */
    Long createFinance(Long loginUserId, BpmOAFinanceCreateReqVO createReqVO);

    /**
     * 更新外出申请的状态
     *
     * @param id 编号
     * @param result 结果
     */
    void updateFinanceResult(String processInstanceId, Long id, Integer result);

    /**
     * 获得外出申请
     * @param processInstanceId 流程实例编号
     * @return 外出申请
     */
    BpmOAFinanceDO getByProcessInstanceId(String processInstanceId);

    /**
     * 获得外出申请
     * @param id 外出申请ID
     * @return 外出申请
     */
    BpmOAFinanceDO getFinance(Long id);
}
