package cn.iocoder.yudao.module.bpm.service.oa;


import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.reimbursement.BpmOAReimbursementCreateReqVO;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.reimbursement.BpmOAReimbursementRespVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.BpmOAReimbursementDO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.BpmOAReimbursementItemDO;

import javax.validation.Valid;
import java.util.List;

/**
 * 报销申请 Service 接口
 *
 * @author jason
 */
public interface BpmOAReimbursementService {

    /**
     * 创建报销申请
     *
     * @param userId      用户编号
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createReimbursement(Long userId, @Valid BpmOAReimbursementCreateReqVO createReqVO);

    /**
     * 更新报销申请的状态
     *
     * @param processInstanceId
     * @param id                编号
     * @param result            结果
     */
    void updateReimbursementResult(String processInstanceId, Long id, Integer result);

    /**
     * 获得报销申请
     *
     * @param id 编号
     * @return 报销申请
     */
    BpmOAReimbursementDO getReimbursement(Long id);

    /**
     * 获得指定得报销明细
     *
     * @param reimbursementId 报销主表编号
     * @return 明细列表
     */
    List<BpmOAReimbursementItemDO> getReimbursementItem(Long reimbursementId);

    BpmOAReimbursementRespVO convert(BpmOAReimbursementDO bpmOAReimbursementDO);

    /**
     * 通过流程实例id获取
     *
     * @param processInstanceId
     * @return
     */
    BpmOAReimbursementDO getByProcessInstanceId(String processInstanceId);

    /**
     * 获得指定备用金得报销申请
     * @param imprestId 备用金编号
     * @return 报销申请
     */
    BpmOAReimbursementDO getReimbursementByImprest(Long imprestId);
}
