package cn.iocoder.yudao.module.bpm.service.oa.listener;

import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEvent;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEventListener;
import cn.iocoder.yudao.module.bpm.service.oa.BpmOAGoOutService;
import cn.iocoder.yudao.module.bpm.service.oa.BpmOAGoOutServiceImpl;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * OA 外出申请单的结果的监听器实现类
 *
 * @author 符溶馨
 */
@Component
public class BpmOAGoOutResultListener extends BpmProcessInstanceResultEventListener {

    @Resource
    private BpmOAGoOutService goOutService;

    @Override
    protected String getProcessDefinitionKey() {
        return BpmOAGoOutServiceImpl.PROCESS_KEY;
    }

    @Override
    protected void onEvent(BpmProcessInstanceResultEvent event) {
        goOutService.updateGoOutResult(event.getId(), Long.parseLong(event.getBusinessKey()), event.getResult());
    }
}
