package cn.iocoder.yudao.module.bpm.service.oa.listener;

import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEvent;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEventListener;
import cn.iocoder.yudao.module.bpm.service.oa.BpmOAProjectService;
import cn.iocoder.yudao.module.bpm.service.oa.BpmOAProjectServiceImpl;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * OA 项目申请单的结果的监听器实现类
 *
 * @author 符溶馨
 */
@Component
public class BpmOAProjectResultListener extends BpmProcessInstanceResultEventListener {

    @Resource
    private BpmOAProjectService projectService;

    @Override
    protected String getProcessDefinitionKey() {

        return BpmOAProjectServiceImpl.PROCESS_KEY;
    }

    @Override
    protected void onEvent(BpmProcessInstanceResultEvent event) {
        projectService.updateProjectResult(event.getId(), Long.parseLong(event.getBusinessKey()), event.getResult());
    }
}
