package cn.iocoder.yudao.module.bpm.service.oa.listener;

import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEvent;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEventListener;
import cn.iocoder.yudao.module.bpm.service.oa.BpmOAReceiptService;
import cn.iocoder.yudao.module.bpm.service.oa.BpmOAReceiptServiceImpl;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * OA 回款单的结果的监听器实现类
 *
 * @author 符溶馨
 */
@Component
public class BpmOAReceiptResultListener extends BpmProcessInstanceResultEventListener {

    @Resource
    private BpmOAReceiptService receiptService;

    @Override
    protected String getProcessDefinitionKey() {

        return BpmOAReceiptServiceImpl.PROCESS_KEY;
    }

    @Override
    protected void onEvent(BpmProcessInstanceResultEvent event) {
        receiptService.updateReceiptResult(event.getId(), Long.parseLong(event.getBusinessKey()), event.getResult());
    }
}
