package cn.iocoder.yudao.module.crm.controller.admin.salesperformanceweight.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 销售业绩权重设置 Response VO")
@Data
@ExcelIgnoreUnannotated
public class SalesPerformanceWeightRespVO {

    @Schema(description = "id", requiredMode = Schema.RequiredMode.REQUIRED, example = "2375")
    @ExcelProperty("id")
    private Long id;

    @Schema(description = "销售权重%")
    @ExcelProperty("销售权重%")
    private BigDecimal saleWeight;

    @Schema(description = "回款权重%")
    @ExcelProperty("回款权重%")
    private BigDecimal paymentWeight;

    @Schema(description = "评分权重%")
    @ExcelProperty("评分权重%")
    private BigDecimal scoreWeight;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}