package cn.iocoder.yudao.module.system.api.assetreceive;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.system.api.assetreceive.dto.AssetReceiveSaveDTO;
import cn.iocoder.yudao.module.system.enums.ApiConstants;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

@FeignClient(name = ApiConstants.NAME) // TODO 芋艿：fallbackFactory =
@Tag(name = "RPC 服务 - 资产领用")
public interface AssetReceiveApi {

    String PREFIX = ApiConstants.PREFIX + "/assetReceive";

    @PostMapping(PREFIX + "/createReceive")
    @Operation(summary = "创建资产领用信息")
    CommonResult<Boolean> createReceive(@RequestBody List<AssetReceiveSaveDTO> saveDTOs);
}
