package cn.iocoder.yudao.module.system.api.rental;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.system.api.rental.dto.RentalItemsRecordDTO;
import cn.iocoder.yudao.module.system.enums.ApiConstants;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

@FeignClient(name = ApiConstants.NAME) // TODO 芋艿：fallbackFactory =
@Tag(name = "RPC 服务 - 租赁订单物品记录")
public interface RentalItemsRecordApi {

    String PREFIX = ApiConstants.PREFIX + "/rental-items";

    @PutMapping(PREFIX + "/create")
    @Operation(summary = "创建租赁订单出入库记录")
    CommonResult<Boolean> create(@RequestBody List<RentalItemsRecordDTO> createReqVO);
}
