package cn.iocoder.yudao.module.system.api.workovertime;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.system.api.attendance.dto.AttendanceTimeRangeInfoDTO;
import cn.iocoder.yudao.module.system.api.attendance.vo.AttendanceTimeRangeInfoVO;
import cn.iocoder.yudao.module.system.api.workovertime.vo.WorkOvertimeRuleApiVO;
import cn.iocoder.yudao.module.system.enums.ApiConstants;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.Map;

@FeignClient(name = ApiConstants.NAME) // TODO 芋艿：fallbackFactory =
@Tag(name = "RPC 服务 - 加班")
public interface WorkOvertimeApi {

    String PREFIX = ApiConstants.PREFIX + "/workOvertimeApi";


    @GetMapping(PREFIX + "/getOvertimeRulesByUserId")
    @Operation(summary = "获取加班规则")
    @Parameter(name = "userId", description = "用户编号", example = "1", required = true)
    CommonResult<WorkOvertimeRuleApiVO> getOvertimeRulesByUserId(@RequestParam("userId") Long userId);
}
