package cn.iocoder.yudao.module.system.controller.admin.assetreceive.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 资产领用分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class AssetReceivePageReqVO extends PageParam {

    @Schema(description = "领用人的部门编号", example = "128")
    private Long deptId;

    @Schema(description = "领用人的用户编号", example = "146")
    private Long userId;

    @Schema(description = "分配人的用户编号")
    private Long receiveUserId;

    @Schema(description = "资产编号")
    private String assetsNo;

    @Schema(description = "资产名称")
    private String assetsName;

    @Schema(description = "资产类型编号")
    private Long assetsTypeId;

    @Schema(description = "数量")
    private Integer num;

    @Schema(description = "申请日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDate[] applyDate;

    @Schema(description = "分配日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDate[] allocationDate;

    @Schema(description = "领用状态 | 0待领用 1采购中 2已领用 ", example = "0")
    private Integer status;

    @Schema(description = "附件信息")
    private String fileItems;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}