package cn.iocoder.yudao.module.system.controller.admin.commonlyused.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 用户常用应用配置分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CommonlyUsedPageReqVO extends PageParam {

    @Schema(description = "用户id", example = "2072")
    private Long userId;

    @Schema(description = "类型 1流程 2菜单", example = "1")
    private Integer type;

    @Schema(description = "菜单id或流程id 根据具体类型来", example = "11898")
    private String objectId;

    @Schema(description = "排序(从小到大)")
    private Integer sort;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}
