package cn.iocoder.yudao.module.system.controller.admin.customersettlement.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

@Schema(description = "管理后台 - 结算明细新增/修改 Request VO")
@Data
public class SettlementItemVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.NOT_REQUIRED, example = "16752")
    private Long id;

    @Schema(description = "业务类型  1.叉车 2.打包 3.搬运 4.叉车租赁 5.运输", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @NotNull(message = "业务类型不能为空")
    private Integer businessType;

    @Schema(description = "预结算金额")
    private BigDecimal preSettlementAmount;

    @Schema(description = "应结算金额")
    private BigDecimal shouldSettlementAmount;

    @Schema(description = "扣款明细")
    private List<OtherDeductionsVO> deductionItems;

    @Schema(description = "结算金额")
    private BigDecimal settlementAmount;
}
