package cn.iocoder.yudao.module.system.controller.admin.project.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.Set;

@Schema(description = "管理后台 - 项目管理 Response VO")
@Data
public class ProjectRespVO {

    @Schema(description = "项目管理表单主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    private Long id;

    @Schema(description = "项目编号", requiredMode = Schema.RequiredMode.REQUIRED)
    private String projectNo;

    @Schema(description = "项目类型 | 字典值参考system_project_type", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    private Integer type;

    @Schema(description = "项目名称", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("项目名称")
    private String name;

    @Schema(description = "责任部门", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long responsibleDept;

    @Schema(description = "责任部门名称")
    private String responsibleDeptName;

    @Schema(description = "参与部门集合", requiredMode = Schema.RequiredMode.REQUIRED)
    private Set<Long> participationDept;

    @Schema(description = "参与部门名称")
    private String participationDeptName;

    @Schema(description = "责任人用户编号", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long directorUserId;

    @Schema(description = "责任人用户名称")
    private String directorUserName;

    @Schema(description = "项目开始时间", requiredMode = Schema.RequiredMode.REQUIRED)
    private LocalDate startDate;

    @Schema(description = "项目结束时间")
    private LocalDate endDate;

    @Schema(description = "是否长期 | 0否 1是")
    private Integer isLongTerm;

    @Schema(description = "项目预算")
    private Integer projectBudget;

    @Schema(description = "项目内容", requiredMode = Schema.RequiredMode.REQUIRED)
    private String content;

    @Schema(description = "项目人员用户编号集合")
    private Set<Long> staff;

    @Schema(description = "项目人员用户名称")
    private String staffName;

    @Schema(description = "项目状态 | 1 进行中 2已完成", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    private Integer status;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    private LocalDateTime createTime;
}