package cn.iocoder.yudao.module.system.controller.admin.rental.vo.customer;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Set;

@Schema(description = "管理后台 - 租赁客户新增/修改 Request VO")
@Data
public class RentalCustomerSaveReqVO {

    @Schema(description = "租赁客户表单主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    private Long id;

    @Schema(description = "所属工厂id集合")
    private Set<Long> factoryIds;

    @Schema(description = "客户名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "赵六")
    private String name;

    @Schema(description = "手机号")
    private String mobile;

    @Schema(description = "开户行", requiredMode = Schema.RequiredMode.REQUIRED, example = "=")
    @NotEmpty(message = "开户行不能为空")
    private String bankName;

    @Schema(description = "卡号", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotEmpty(message = "卡号不能为空")
    private String bankNo;

    @Schema(description = "剩余押金金额")
    private BigDecimal amount;

    @Schema(description = "周转天数")
    @NotNull(message = "周转天数不能为空")
    private Integer turnoverDays;

    @Schema(description = "状态 | 0开启 1关闭")
    private Integer status;
}