package cn.iocoder.yudao.module.system.controller.admin.rental.vo.order;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - 租赁订单 Response VO")
@Data
public class RentalOrderRespVO {

    @Schema(description = "租赁订单表单主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    private Long id;

    @Schema(description = "订单编号")
    private String orderNo;

    @Schema(description = "客户编号")
    private Long customerId;

    @Schema(description = "客户名称")
    private String customerName;

    @Schema(description = "客户开户行")
    private String customerBankName;

    @Schema(description = "客户银行卡号")
    private String customerBankNo;

    @Schema(description = "收款人")
    private String recipient;

    @Schema(description = "押金金额")
    private BigDecimal depositAmount;

    @Schema(description = "剩余押金")
    private BigDecimal remainingDeposit;

    @Schema(description = "已收金额")
    private BigDecimal receivedAmount;

    @Schema(description = "退款金额")
    private BigDecimal refundAmount;

    @Schema(description = "扣款金额")
    private BigDecimal chargebacksAmount;

    @Schema(description = "申请退款金额")
    private BigDecimal applyRefundAmount;

    @Schema(description = "申请扣款金额")
    private BigDecimal applyChargebacksAmount;

    @Schema(description = "备注")
    private String notes;

    @Schema(description = "状态 | 1租赁中 2退款申请中 3等待退款中 4已退款")
    private Integer status;

    @Schema(description = "创建时间")
    private LocalDateTime createTime;

    @Schema(description = "创建人姓名")
    private String creatorName;
}