package cn.iocoder.yudao.module.system.controller.admin.workovertime.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 加班更多规则拓展 Response VO")
@Data
@ExcelIgnoreUnannotated
public class WorkOvertimeMoreRuleExtRespVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "9017")
    @ExcelProperty("主键")
    private Long id;

    @Schema(description = "加班更多规则id", example = "8676")
    @ExcelProperty("加班更多规则id")
    private Long moreRuleId;

    @Schema(description = "类型 1风险预警 2最大加班时间", example = "2")
    @ExcelProperty("类型 1风险预警 2最大加班时间")
    private Integer type;

    @Schema(description = "日期类型 1每天 2每周 3每月", example = "1")
    @ExcelProperty("日期类型 1每天 2每周 3每月")
    private Integer dayType;

    @Schema(description = "小时阀值累计超过n小时")
    @ExcelProperty("小时阀值累计超过n小时")
    private Integer threshold;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}