package cn.iocoder.yudao.module.system.dal.dataobject.rental;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * 租赁转销售记录 DO
 *
 * @author 符溶馨
 */
@TableName("system_rental_sale_record")
@KeySequence("system_rental_sale_record_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class RentalSaleRecordDO extends BaseDO {

    /**
     * 订单租赁物品记录表单主键
     */
    @TableId
    private Long id;
    /**
     * 客户编号
     */
    private Long customerId;
    /**
     * 订单编号
     */
    private String orderNo;
    /**
     * 入账记录表主键编号
     */
    private Long depositId;
    /**
     * 金额
     */
    private BigDecimal amount;
    /**
     * 转销售记录日期
     */
    private LocalDate saleDate;
    /**
     * 状态 | 0销售 1退还
     */
    private Integer status;
    /**
     * 退还经办人用户编号
     */
    private Long returnUserId;

}