package cn.iocoder.yudao.module.system.dal.mysql.customersettlement;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.system.controller.admin.customersettlement.vo.CustomerSettlementPageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.customersettlement.CustomerSettlementDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 客户结算信息 Mapper
 *
 * @author 陈宾顺
 */
@Mapper
public interface CustomerSettlementMapper extends BaseMapperX<CustomerSettlementDO> {

    default PageResult<CustomerSettlementDO> selectPage(CustomerSettlementPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<CustomerSettlementDO>()
                .eqIfPresent(CustomerSettlementDO::getCustomerId, reqVO.getCustomerId())
                .eqIfPresent(CustomerSettlementDO::getSettlementMonth, reqVO.getSettlementMonth())
                .orderByDesc(CustomerSettlementDO::getId));
    }

}