package cn.iocoder.yudao.module.system.service.assetreceive;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.assetreceive.vo.AssetReceivePageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.assetreceive.vo.AssetReceiveSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.assetreceive.AssetReceiveDO;

import javax.validation.Valid;
import java.util.List;

/**
 * 资产领用 Service 接口
 *
 * @author 符溶馨
 */
public interface AssetReceiveService {

    /**
     * 创建资产领用
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createAssetReceive(@Valid AssetReceiveSaveReqVO createReqVO);

    /**
     * 批量创建资产领用
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Boolean createAssetReceives(@Valid List<AssetReceiveSaveReqVO> createReqVO);

    /**
     * 更新资产领用
     *
     * @param updateReqVO 更新信息
     */
    void updateAssetReceive(@Valid AssetReceiveSaveReqVO updateReqVO);

    /**
     * 删除资产领用
     *
     * @param id 编号
     */
    void deleteAssetReceive(Long id);

    /**
     * 获得资产领用
     *
     * @param id 编号
     * @return 资产领用
     */
    AssetReceiveDO getAssetReceive(Long id);

    /**
     * 获得资产领用分页
     *
     * @param pageReqVO 分页查询
     * @return 资产领用分页
     */
    PageResult<AssetReceiveDO> getAssetReceivePage(AssetReceivePageReqVO pageReqVO);

}