package cn.iocoder.yudao.module.system.service.workovertime;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.workovertime.vo.WorkOvertimeRuleItemPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.workovertime.vo.WorkOvertimeRuleItemSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.workovertime.WorkOvertimeRuleItemDO;

import javax.validation.Valid;
import java.util.List;

/**
 * 加班规则子表(按日类型区分) Service 接口
 *
 * @author 艾楷
 */
public interface WorkOvertimeRuleItemService {

    /**
     * 创建加班规则子表(按日类型区分)
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createWorkOvertimeRuleItem(@Valid WorkOvertimeRuleItemSaveReqVO createReqVO);

    /**
     * 更新加班规则子表(按日类型区分)
     *
     * @param updateReqVO 更新信息
     */
    void updateWorkOvertimeRuleItem(@Valid WorkOvertimeRuleItemSaveReqVO updateReqVO);

    /**
     * 删除加班规则子表(按日类型区分)
     *
     * @param id 编号
     */
    void deleteWorkOvertimeRuleItem(Long id);

    /**
     * 获得加班规则子表(按日类型区分)
     *
     * @param id 编号
     * @return 加班规则子表(按日类型区分)
     */
    WorkOvertimeRuleItemDO getWorkOvertimeRuleItem(Long id);

    /**
     * 获得加班规则子表(按日类型区分)分页
     *
     * @param pageReqVO 分页查询
     * @return 加班规则子表(按日类型区分)分页
     */
    PageResult<WorkOvertimeRuleItemDO> getWorkOvertimeRuleItemPage(WorkOvertimeRuleItemPageReqVO pageReqVO);

    /**
     * 根据规则id获取规则子表
     *
     * @param ruleId
     * @return
     */
    List<WorkOvertimeRuleItemDO> getListByRuleId(Long ruleId);

    /**
     * 批量新增删除修改
     *
     * @param ruleItemLists
     */
    void insertUpdateDeleteBatch(Long ruleId, List<List<WorkOvertimeRuleItemDO>> ruleItemLists);

}
