package cn.iocoder.yudao.module.smartfactory.api.factoryforklift;


import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.smartfactory.api.factoryInfo.dto.FactoryInfoDTO;
import cn.iocoder.yudao.module.smartfactory.api.factoryforklift.dto.FactoryForkliftDTO;
import cn.iocoder.yudao.module.smartfactory.enums.ApiConstants;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

@FeignClient(name = ApiConstants.NAME) // TODO 芋艿：fallbackFactory =
@Tag(name = "RPC 服务 - 叉车服务")
public interface FactoryForkliftApi {

    String PREFIX = ApiConstants.PREFIX + "/factory-forklift";


    @PostMapping(PREFIX + "/batchSave")
    @Operation(summary = "批量插入工厂叉车")
    CommonResult<Boolean> batchSave(@RequestBody List<FactoryForkliftDTO> dtoList);


}
