package cn.iocoder.yudao.module.smartfactory.controller.admin.factoryinfo.vo;

import cn.iocoder.yudao.framework.excel.core.annotations.DictFormat;
import cn.iocoder.yudao.framework.excel.core.convert.DictConvert;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - 工厂信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class FactoryInfoRespVO {

    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "28794")
    @ExcelProperty("编号")
    private Long id;

    @Schema(description = "工厂名字", requiredMode = Schema.RequiredMode.REQUIRED, example = "江西省南昌市第一工厂")
    @ExcelProperty("工厂名字")
    private String name;

    @Schema(description = "工厂简称", requiredMode = Schema.RequiredMode.REQUIRED, example = "第一工厂")
    @ExcelProperty("工厂简称")
    private String shortName;

    @Schema(description = "工厂类型", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @ExcelProperty("工厂类型")
    private String type;

    @Schema(description = "工厂业务类型 根据字典business_type来", example = "1")
    @ExcelProperty("工厂业务类型")
    private String businessType;

    @Schema(description = "结算方式", example = "1")
    @ExcelProperty("结算方式")
    private Integer settlementMethod;

    @Schema(description = "工厂简介", example = "这是一个工厂简介")
    @ExcelProperty("工厂简介")
    private String description;

    @Schema(description = "省id")
    private Long provinceId;

    @Schema(description = "城市id")
    private Long cityId;

    @Schema(description = "区县id")
    private Long adCode;

    @Schema(description = "省名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "江西省")
    @ExcelProperty("省名称")
    private String provinceName;

    @Schema(description = "城市名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "南昌市")
    @ExcelProperty("城市名称")
    private String cityName;

    @Schema(description = "区县名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "红谷滩区")
    @ExcelProperty("区县名称")
    private String districtName;

    @Schema(description = "工厂地址")
    @ExcelProperty("工厂地址")
    private String address;

    @Schema(description = "经度")
    private BigDecimal lng;

    @Schema(description = "纬度")
    private BigDecimal lat;

    @Schema(description = "状态", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @ExcelProperty(value = "状态", converter = DictConvert.class)
    @DictFormat("common_status") // TODO 代码优化：建议设置到对应的 DictTypeConstants 枚举类中
    private Integer status;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "负责人编号", example = "126")
    private Long leaderUserId;
}
