package cn.iocoder.yudao.module.smartfactory.controller.admin.factorypackingline.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 打包线配置 Response VO")
@Data
@ExcelIgnoreUnannotated
public class FactoryPackingLineRespVO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "21099")
    @ExcelProperty("主键id")
    private Long id;

    @Schema(description = "工厂id", requiredMode = Schema.RequiredMode.REQUIRED, example = "24676")
    @ExcelProperty("工厂id")
    private Long factoryId;

    @Schema(description = "工厂名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "24676")
    @ExcelProperty("工厂名称")
    private String factoryName;

    @Schema(description = "打包线名称", example = "王五")
    @ExcelProperty("打包线名称")
    private String name;

    @Schema(description = "是否公司承接 0否 1是", example = "2")
    @ExcelProperty("是否公司承接 0否 1是")
    private Integer type;

    @Schema(description = "窑炉id", example = "15240")
    @ExcelProperty("窑炉id")
    private Long kilnId;

    @Schema(description = "窑炉名称", example = "15240")
    @ExcelProperty("窑炉名称")
    private String kilnName;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}
