package cn.iocoder.yudao.module.smartfactory.controller.admin.handlinggroupamountspecifications.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 搬运组工资规格关联分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class HandlingGroupAmountSpecificationsPageReqVO extends PageParam {

    @Schema(description = "工厂id", example = "23178")
    private Long factoryId;

    @Schema(description = "搬运规格id", example = "23178")
    private Long handlingSpecificationsId;

    @Schema(description = "数量", example = "15611")
    private Integer totalCount;

    @Schema(description = "日期 格式 yyyy-MM-dd")
    private String dateStr;

    @Schema(description = "总金额（根据规格和总量计算出 该搬运组获得的总金额）")
    private BigDecimal amount;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}
