package cn.iocoder.yudao.module.smartfactory.controller.admin.handlinggroupuseramount.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 搬运组每日个人工资记录分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class HandlingGroupUserAmountPageReqVO extends PageParam {

    @Schema(description = "用户id", example = "12639")
    private Long userId;

    @Schema(description = "搬运组工资规格关联id", example = "27617")
    private Long handlingGroupAmountSpecificationsId;

    @Schema(description = "日期 格式 yyyy-MM-dd")
    private String dateStr;

    @Schema(description = "搬运组每日个人工资")
    private BigDecimal amount;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}
