package cn.iocoder.yudao.module.smartfactory.controller.admin.handlinggroupuseramount.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 搬运组每日个人工资记录 Response VO")
@Data
@ExcelIgnoreUnannotated
public class HandlingGroupUserAmountRespVO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "17728")
    @ExcelProperty("主键id")
    private Long id;

    @Schema(description = "用户id", example = "12639")
    @ExcelProperty("用户id")
    private Long userId;

    @Schema(description = "用户名称", example = "12639")
    @ExcelProperty("用户名称")
    private String userName;

    @Schema(description = "搬运组工资规格关联id", example = "27617")
    @ExcelProperty("搬运组工资规格关联id")
    private Long handlingGroupAmountSpecificationsId;

    @Schema(description = "日期 格式 yyyy-MM-dd")
    @ExcelProperty("日期 格式 yyyy-MM-dd")
    private String dateStr;

    @Schema(description = "搬运组每日个人工资")
    @ExcelProperty("搬运组每日个人工资")
    private BigDecimal amount;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}
