package cn.iocoder.yudao.module.smartfactory.controller.admin.screendata.factory.vo;

import cn.iocoder.yudao.module.smartfactory.dal.dataobject.factoryforklift.FactoryForkliftDO;
import cn.iocoder.yudao.module.system.api.user.vo.AdminUserRpcVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * 功能描述
 *
 * @author: yj
 * @date: 2024年03月05日 13:55
 */
@Schema(description = "大屏数据 - 数据总揽")
@Data
public class DataOverviewVO {
    @Schema(description = "员工数量")
    private Integer total;
    @Schema(description = "男员工")
    private Integer maleTotal;
    @Schema(description = "女员工")
    private Integer femaleTotal;
    @Schema(description = "员工列表")
    private List<AdminUserRpcVO> users;


    @Schema(description = "窑炉数量")
    private Integer ylNum;
    @Schema(description = "窑炉产能")
    private BigDecimal ylCapacity;
    @Schema(description = "窑炉信息列表")
    private List<FactoryKilnVO> factoryKilnList;

    @Schema(description = "打包线数量")
    private Integer dbxNum;
    @Schema(description = "打包线信息")
    private List<FactoryPackingLineVO> FactoryPackingLineList;


    @Schema(description = "叉车台数")
    private Integer forkliftTotal;

    @Schema(description = "叉车信息")
    private List<ForkliftVO> forkliftList;

    @Schema(description = "工厂叉车列表")
    private List<FactoryForkliftDO> factoryForkliftList;


    @Schema(description = "托盘数")
    private Integer tpNum;
    @Schema(description = "托盘信息")
    private List<AssetsStockVO> trayList;


    @Schema(description = "绑带数")
    private Integer bdNum;
    @Schema(description = "绑带信息")
    private List<AssetsStockVO> strapsList;

    @Schema(description = "摄像头数量")
    private Integer cameraNum;
    @Schema(description = "摄像头信息")
    private List<CameraVO> cameraVOS;


    @Schema(description = "出库")
    private Integer outTotalNum;
    @Schema(description = "入库")
    private Integer inTotalNum;
}
