package cn.iocoder.yudao.module.smartfactory.controller.admin.staff.vo;

import cn.iocoder.yudao.framework.common.validation.IdCard;
import cn.iocoder.yudao.framework.common.validation.Mobile;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

/**
 * 用户 Excel 导入 VO
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = false) // 设置 chain = false，避免用户导入有问题
public class StaffImportExcelVO {

    @ExcelProperty("用户名称")
    private String nickName;

    @ExcelProperty("厂区名称")
    private String factoryName;

    @ExcelProperty("工种名称")
    private String workTypeName;

    @ExcelProperty("业务类型名称")
    private String businessTypeName;

    @ExcelProperty("手机号码")
    @Mobile
    private String mobile;

    @ExcelProperty("身份证号码")
    @IdCard
    private String idCard;

    @ExcelProperty("薪资")
    private BigDecimal salary;
}
