package cn.iocoder.yudao.module.smartfactory.controller.admin.staff.vo;

import cn.iocoder.yudao.framework.common.validation.IdCard;
import cn.iocoder.yudao.framework.common.validation.Mobile;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@Schema(description = "管理后台 - 员工新增/修改 Request VO")
@Data
public class StaffSaveReqVO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "8717")
    private Long id;

    @Schema(description = "员工昵称")
    private String nickName;

    @Schema(description = "年龄")
    private Integer age;

    @Schema(description = "用户性别（0男 1女 2未知）")
    private Integer sex;

    @Schema(description = "工种id", example = "6971")
    private Integer workTypeId;

    @Schema(description = "所属业务类型")
    private Integer businessType;

    @Schema(description = "工厂id", example = "6971")
    private Long factoryId;

    @Schema(description = "手机号", requiredMode = Schema.RequiredMode.REQUIRED, example = "15601691300")
    @NotNull(message = "手机号不能为空")
    @Mobile
    private String mobile;

    @Schema(description = "身份证号", requiredMode = Schema.RequiredMode.REQUIRED, example = "15601691300")
    @NotNull(message = "身份证号不能为空")
    @IdCard
    private String idCard;

    @Schema(description = "薪资")
    private BigDecimal salary;

    @Schema(description = "0离职  1在职 2工伤")
    private Integer status;

}