package cn.iocoder.yudao.module.smartfactory.dal.dataobject.attendance;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.time.LocalDate;

/**
 * 厂区员工考勤记录 DO
 *
 * @author 符溶馨
 */
@TableName("sf_staff_attendance_record")
@KeySequence("sf_staff_attendance_record_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class StaffAttendanceRecordDO extends BaseDO {

    /**
     * 主键id
     */
    @TableId
    private Long id;
    /**
     * 用户编号
     */
    private Long staffId;
    /**
     * 工厂id
     */
    private Long factoryId;
    /**
     * 考勤方式 | 1.上个月26号-本月25号 2.本月初-本月底
     */
    private Integer type;
    /**
     * 考勤月份
     */
    private String month;
    /**
     * 打卡日期
     */
    private LocalDate punchTime;
    /**
     * 打卡状态 | 1上班 2休息 3病假 4事假 5工伤
     */
    private Integer status;
}