package cn.iocoder.yudao.module.smartfactory.dal.dataobject.handlinggroupamountspecifications;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.math.BigDecimal;

/**
 * 搬运组工资规格关联 DO
 *
 * @author 艾楷
 */
@TableName("sf_handling_group_amount_specifications")
@KeySequence("sf_handling_group_amount_specifications_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class HandlingGroupAmountSpecificationsDO extends BaseDO {

    /**
     * 主键id
     */
    @TableId
    private Long id;
    /**
     * 工厂id
     */
    private Long factoryId;
    /**
     * 搬运规格id
     */
    private Long handlingSpecificationsId;

    @TableField(exist = false)
    private String handlingSpecificationsName;
    /**
     * 数量
     */
    private Integer totalCount;
    /**
     * 日期 格式 yyyy-MM-dd
     */
    private String dateStr;
    /**
     * 总金额（根据规格和总量计算出 该搬运组获得的总金额）
     */
    private BigDecimal amount;

}
