package cn.iocoder.yudao.module.smartfactory.dal.dataobject.handlinggroupuseramount;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.math.BigDecimal;

/**
 * 搬运组每日个人工资记录 DO
 *
 * @author 艾楷
 */
@TableName("sf_handling_group_user_amount")
@KeySequence("sf_handling_group_user_amount_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class HandlingGroupUserAmountDO extends BaseDO {

    /**
     * 主键id
     */
    @TableId
    private Long id;
    /**
     * 用户id
     */
    private Long userId;

    /**
     * 用户名称
     */
    @TableField(exist = false)
    private String userName;

    /**
     * 搬运组工资规格关联id
     */
    private Long handlingGroupAmountSpecificationsId;
    /**
     * 工厂id
     */
    private Long factoryId;
    /**
     * 日期 格式 yyyy-MM-dd
     */
    private String dateStr;
    /**
     * 搬运组每日个人工资
     */
    private BigDecimal amount;

}
