package cn.iocoder.yudao.module.smartfactory.dal.dataobject.handlingspecifications;

import lombok.*;
import java.util.*;
import java.math.BigDecimal;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 工厂搬运规格 DO
 *
 * @author 艾楷
 */
@TableName("sf_handling_specifications")
@KeySequence("sf_handling_specifications_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class HandlingSpecificationsDO extends BaseDO {

    /**
     * 主键id
     */
    @TableId
    private Long id;
    /**
     * 工厂id
     */
    private Long factoryId;
    /**
     * 工厂名称
     */
    @TableField(exist = false)
    private String factoryName;
    /**
     * 规格名称
     */
    private String specificationsName;
    /**
     * 类型 0数量 1重量 默认数量
     */
    private Integer type;
    /**
     * 重量 /（公斤 kg）
     */
    private BigDecimal weight;
    /**
     * 数量
     */
    private Integer num;
    /**
     * 单价/（吨/1000  or 件）
     */
    private BigDecimal unitPrice;

}
