package cn.iocoder.yudao.module.smartfactory.dal.dataobject.industrialinjury;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import cn.iocoder.yudao.module.smartfactory.controller.admin.industrialinjury.vo.AdvancePaymentItem;
import cn.iocoder.yudao.module.smartfactory.controller.admin.industrialinjury.vo.ClaimAmountItem;
import cn.iocoder.yudao.module.smartfactory.controller.admin.industrialinjury.vo.UploadFilesVO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import lombok.*;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.List;

/**
 * 厂区工伤 DO
 *
 * @author 符溶馨
 */
@TableName(value = "sf_industrial_injury", autoResultMap = true)
@KeySequence("sf_industrial_injury_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class IndustrialInjuryDO extends BaseDO {

    /**
     * 主键id
     */
    @TableId
    private Long id;
    /**
     * 用户编号
     */
    private Long staffId;
    /**
     * 所属工厂编号
     */
    private Long factoryId;
    /**
     * 发生时间
     */
    private LocalDate happenTime;
    /**
     * 受伤原因
     */
    private String reason;
    /**
     * 医药垫资金额
     */
    private BigDecimal advancePayment;
    /**
     * 垫资明细
     */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private List<AdvancePaymentItem> advancePaymentItems;
    /**
     * 理赔金额
     */
    private BigDecimal claimAmount;
    /**
     * 理赔明细
     */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private List<ClaimAmountItem> claimAmountItems;
    /**
     * 协议理赔金额
     */
    private BigDecimal agreementClaimAmount;
    /**
     * 协议理赔明细
     */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private List<ClaimAmountItem> agreementClaimItems;
    /**
     * 状态 | 1处理中 2已完成
     */
    private Integer status;
    /**
     * 是否上传发票 | 0否 1是
     */
    private Integer isUploadInvoice;
    /**
     * 是否保险理赔 | 0否 1是
     */
    private Integer isInsuranceClaims;
    /**
     * 是否协议理赔 | 0否 1是
     */
    private Integer isAgreementClaims;
    /**
     * 备注
     */
    private String notes;
    /**
     * 发票附件信息
     */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private List<UploadFilesVO> invoiceFileItems;
    /**
     * 附件信息
     */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private List<UploadFilesVO> fileItems;

}