package cn.iocoder.yudao.module.smartfactory.dal.dataobject.staffcertificateinformation;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDateTime;

/**
 * 叉车员工证件信息 DO
 *
 * @author 艾楷
 */
@TableName("sf_staff_certificate_information")
@KeySequence("sf_staff_certificate_information_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class StaffCertificateInformationDO extends BaseDO {

    /**
     * 主键id
     */
    @TableId
    private Long id;
    /**
     * 工厂员工id
     */
    private Long staffId;
    /**
     * 工厂员工名称
     */
    @TableField(exist = false)
    private String staffName;
    /**
     * 身份证正面
     */
    private String idCardFront;
    /**
     * 身份证反面
     */
    private String idCardReverse;
    /**
     * 叉车证书
     */
    private String forkliftCertificate;
    /**
     * 叉车年检信息
     */
    private String forkliftAnnualInspection;
    /**
     * 年检过期时间
     */
    private LocalDateTime forkliftAnnualInspectionExpiredTime;
    /**
     * 年检过期提醒 是否提醒 0否 1是
     */
   private Integer reminderFlag;

}
