package cn.iocoder.yudao.module.smartfactory.service.handlinggroupamountspecifications;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.smartfactory.controller.admin.handlinggroupamountspecifications.vo.HandlingGroupAmountSpecificationsBatchCreateVO;
import cn.iocoder.yudao.module.smartfactory.controller.admin.handlinggroupamountspecifications.vo.HandlingGroupAmountSpecificationsPageReqVO;
import cn.iocoder.yudao.module.smartfactory.controller.admin.handlinggroupamountspecifications.vo.HandlingGroupAmountSpecificationsSaveReqVO;
import cn.iocoder.yudao.module.smartfactory.dal.dataobject.handlinggroupamountspecifications.HandlingGroupAmountSpecificationsDO;

import javax.validation.Valid;

/**
 * 搬运组工资规格关联 Service 接口
 *
 * @author 艾楷
 */
public interface HandlingGroupAmountSpecificationsService {

    /**
     * 创建搬运组工资规格关联
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createHandlingGroupAmountSpecifications(@Valid HandlingGroupAmountSpecificationsSaveReqVO createReqVO);

    /**
     * 更新搬运组工资规格关联
     *
     * @param updateReqVO 更新信息
     */
    void updateHandlingGroupAmountSpecifications(@Valid HandlingGroupAmountSpecificationsSaveReqVO updateReqVO);

    /**
     * 删除搬运组工资规格关联
     *
     * @param id 编号
     */
    void deleteHandlingGroupAmountSpecifications(Long id);

    /**
     * 获得搬运组工资规格关联
     *
     * @param id 编号
     * @return 搬运组工资规格关联
     */
    HandlingGroupAmountSpecificationsDO getHandlingGroupAmountSpecifications(Long id);

    /**
     * 获得搬运组工资规格关联分页
     *
     * @param pageReqVO 分页查询
     * @return 搬运组工资规格关联分页
     */
    PageResult<HandlingGroupAmountSpecificationsDO> getHandlingGroupAmountSpecificationsPage(HandlingGroupAmountSpecificationsPageReqVO pageReqVO);

    /**
     * 新增编辑
     *
     * @param createReqVO
     */
    void createOrEdit(@Valid HandlingGroupAmountSpecificationsSaveReqVO createReqVO);

    /**
     * 批量新增
     * @param vo
     */
    void batchCreate(@Valid HandlingGroupAmountSpecificationsBatchCreateVO vo);
}
