package cn.iocoder.yudao.module.smartfactory.service.handlingspecifications;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.util.object.BeanUtils;
import cn.iocoder.yudao.framework.mybatis.core.util.MyBatisUtils;
import cn.iocoder.yudao.module.smartfactory.controller.admin.handlingspecifications.vo.HandlingSpecificationsPageReqVO;
import cn.iocoder.yudao.module.smartfactory.controller.admin.handlingspecifications.vo.HandlingSpecificationsSaveReqVO;
import cn.iocoder.yudao.module.smartfactory.dal.dataobject.handlingspecifications.HandlingSpecificationsDO;
import cn.iocoder.yudao.module.smartfactory.dal.mysql.handlingspecifications.HandlingSpecificationsMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.springframework.validation.annotation.Validated;

import javax.annotation.Resource;
import java.util.Collections;
import java.util.List;

/**
 * 工厂搬运规格 Service 实现类
 *
 * @author 艾楷
 */
@Service
@Validated
public class HandlingSpecificationsServiceImpl extends ServiceImpl<HandlingSpecificationsMapper, HandlingSpecificationsDO> implements HandlingSpecificationsService {

    @Resource
    private HandlingSpecificationsMapper handlingSpecificationsMapper;

    @Override
    public Long createHandlingSpecifications(HandlingSpecificationsSaveReqVO createReqVO) {
        // 插入
        HandlingSpecificationsDO handlingSpecifications = BeanUtils.toBean(createReqVO, HandlingSpecificationsDO.class);
        handlingSpecificationsMapper.insert(handlingSpecifications);
        // 返回
        return handlingSpecifications.getId();
    }

    @Override
    public void updateHandlingSpecifications(HandlingSpecificationsSaveReqVO updateReqVO) {
        // 更新
        HandlingSpecificationsDO updateObj = BeanUtils.toBean(updateReqVO, HandlingSpecificationsDO.class);
        handlingSpecificationsMapper.updateById(updateObj);
    }

    @Override
    public void deleteHandlingSpecifications(Long id) {
        // 删除
        handlingSpecificationsMapper.deleteById(id);
    }

    @Override
    public HandlingSpecificationsDO getHandlingSpecifications(Long id) {
        return handlingSpecificationsMapper.selectById(id);
    }

    @Override
    public PageResult<HandlingSpecificationsDO> getHandlingSpecificationsPage(HandlingSpecificationsPageReqVO pageReqVO) {
        IPage<HandlingSpecificationsDO> page = handlingSpecificationsMapper.getHandlingSpecificationsPage(MyBatisUtils.buildPage(pageReqVO) ,pageReqVO);
        return new PageResult<>(page.getRecords(), page.getTotal());
    }

    @Override
    public List<HandlingSpecificationsDO> getHandlingSpecificationsList(HandlingSpecificationsPageReqVO pageReqVO) {
        return handlingSpecificationsMapper.getHandlingSpecificationsList(pageReqVO);
    }

}
