package cn.iocoder.yudao.module.smartfactory.service.industrialinjury;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.smartfactory.controller.admin.industrialinjury.vo.IndustrialInjuryPageReqVO;
import cn.iocoder.yudao.module.smartfactory.controller.admin.industrialinjury.vo.IndustrialInjurySaveReqVO;
import cn.iocoder.yudao.module.smartfactory.dal.dataobject.industrialinjury.IndustrialInjuryDO;

import javax.validation.Valid;

/**
 * 厂区工伤 Service 接口
 *
 * @author 符溶馨
 */
public interface IndustrialInjuryService {

    /**
     * 创建厂区工伤
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createIndustrialInjury(@Valid IndustrialInjurySaveReqVO createReqVO);

    /**
     * 更新厂区工伤
     *
     * @param updateReqVO 更新信息
     */
    void updateIndustrialInjury(@Valid IndustrialInjurySaveReqVO updateReqVO);

    /**
     * 删除厂区工伤
     *
     * @param id 编号
     */
    void deleteIndustrialInjury(Long id);

    /**
     * 获得厂区工伤
     *
     * @param id 编号
     * @return 厂区工伤
     */
    IndustrialInjuryDO getIndustrialInjury(Long id);

    /**
     * 获得厂区工伤分页
     *
     * @param pageReqVO 分页查询
     * @return 厂区工伤分页
     */
    PageResult<IndustrialInjuryDO> getIndustrialInjuryPage(IndustrialInjuryPageReqVO pageReqVO);

}