package cn.iocoder.yudao.module.smartfactory.service.linefixedassets;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.smartfactory.controller.admin.linefixedassets.vo.*;
import cn.iocoder.yudao.module.smartfactory.dal.dataobject.linefixedassets.LineFixedAssetsDO;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

/**
 * 打包线固定资产 Service 接口
 *
 * @author 艾楷
 */
public interface LineFixedAssetsService extends IService<LineFixedAssetsDO> {

    /**
     * 创建打包线固定资产
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createLineFixedAssets(@Valid LineFixedAssetsSaveReqVO createReqVO);

    /**
     * 更新打包线固定资产
     *
     * @param updateReqVO 更新信息
     */
    void updateLineFixedAssets(@Valid LineFixedAssetsSaveReqVO updateReqVO);

    /**
     * 删除打包线固定资产
     *
     * @param id 编号
     */
    void deleteLineFixedAssets(Long id);

    /**
     * 获得打包线固定资产
     *
     * @param id 编号
     * @return 打包线固定资产
     */
    LineFixedAssetsDO getLineFixedAssets(Long id);

    /**
     * 获得打包线固定资产分页
     *
     * @param pageReqVO 分页查询
     * @return 打包线固定资产分页
     */
    PageResult<LineFixedAssetsDO> getLineFixedAssetsPage(LineFixedAssetsPageReqVO pageReqVO);

}